Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# StreamWriter Class Reference
[IO core interfaces]

Inheritance diagram for StreamWriter:

## Detailed Description

Writes data into operating system output stream.

## Public Member Functions
| StreamWriter (FILE *fstream, int encoding, bool useBOM)
| Creates StreamWriter, which uses specified stream, encoding, and byte order mark.
void | write (wchar c)
## Protected Member Functions
void | init (FILE *fstream, int encoding, bool useBOM)
void | writeBOM ()
## Protected Attributes
FILE * | file

## Constructor & Destructor Documentation

StreamWriter::StreamWriter | ( | FILE * | fstream,
|  | int | encoding,
|  | bool | useBOM
| ) |

  | Creates StreamWriter, which uses specified stream, encoding, and byte order mark. Parameters:
  | fstream | Stream to write data to.
  | encoding | output encoding.
  | useBOM | Does it needed to output first Unicode Byte Order Mark character.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.